#ifndef APPLESOLVER_H_INCLUDED
#define APPLESOLVER_H_INCLUDED

typedef struct  {
  int h; /**< height */
  int w; /**< weight */
} AppleT;

typedef struct {
  int size;
  AppleT **apples;
} AppleVectorT;

extern AppleVectorT *createApples(int size);
extern AppleT *createApple(int h, int w);
extern AppleVectorT *cloneAppleVector(AppleVectorT *v);
extern int solve(AppleVectorT *apples, int H, int U);
#endif // APPLESOLVER_H_INCLUDED
